@import '../../assets/style/index';
div.SinglePost {
	display: grid;
	grid-template-columns: 50% 50%;
	position: relative;
	img.PostImage {
		margin: auto;
		width: 90%;
		box-shadow: 5px 5px;
	}
	div.PostText {
		margin: 15px;
	}
	@include media('>=phone', '<bigPhone') {
		grid-template-columns: 100%;
		margin: 15px 0px;
		border-radius: 15px;
		background-color: $white;
		img.PostImage {
			position: absolute;
			margin: 0 15px;
			z-index: 100;
			opacity: 0.8;
			box-shadow: none;
			transform: translateY(-50%);
			top: 50%;
			&::before {
				content: '';
				padding: 5px;
				background-color: aqua;
			}
		}
		div.PostText {
			z-index: 200;
			&::before {
				content: '';
				padding: 5px 30px;
				background-color: $gray;
				position: absolute;
				top: 50%;
				left: 50%;
				transform: translate(-50%, -50%);
				border-radius: 5px;
				z-index: -250;
			}
			&::after {
				content: '';
				padding: 30px 5px;
				background-color: $gray;
				position: absolute;
				top: 50%;
				left: 50%;
				transform: translate(-50%, -50%);
				border-radius: 5px;
				z-index: -250;
			}
		}
	}
	@include media('<phone') {
		grid-template-columns: 100%;
		margin: 15px 0px;
		border-radius: 15px;
		background-color: $white;
		img.PostImage {
			position: absolute;
			margin: 0 15px;
			z-index: 100;
			opacity: 0.8;
			box-shadow: none;
			transform: translateY(-50%);
			top: 50%;
		}
		div.PostText {
			z-index: 200;
			&::before {
				content: '';
				padding: 5px 30px;
				background-color: $gray;
				position: absolute;
				top: 50%;
				left: 50%;
				transform: translate(-50%, -50%);
				border-radius: 5px;
				z-index: -250;
			}
			&::after {
				content: '';
				padding: 30px 5px;
				background-color: $gray;
				position: absolute;
				top: 50%;
				left: 50%;
				transform: translate(-50%, -50%);
				border-radius: 5px;
				z-index: -250;
			}
		}
	}
}
div.popup-content {
	margin: 30px 0;
	.modal {
		display: grid;
		img.PopupImage {
			max-width: 95%;
			max-height: 95vh;
			justify-self: center;
		}
		> .close {
			cursor: pointer;
			position: absolute;
			display: block;
			padding: 2px 5px;
			line-height: 20px;
			right: 3px;
			top: 3px;
			font-size: 24px;
			background: #ffffff;
			border-radius: 18px;
			border: 1px solid #cfcece;
		}
	}
}
